Loading...
Searching...
No Matches
Opm::UDQState Class Reference

## Public Types

using | ExportRange = RestartIO::Helpers::WindowedArray<double>::WriteWindow

## Public Member Functions

| UDQState (double undefined)
bool | has (const std::string &key) const
void | load_rst (const RestartIO::RstState &rst_state)
bool | has_well_var (const std::string &well, const std::string &key) const
bool | has_group_var (const std::string &group, const std::string &key) const
bool | has_segment_var (const std::string &well, const std::string &key, const std::size_t segment) const
double | get (const std::string &key) const
double | get_group_var (const std::string &well, const std::string &var) const
double | get_well_var (const std::string &well, const std::string &var) const
double | get_segment_var (const std::string &well, const std::string &var, const std::size_t segment) const
void | exportSegmentUDQ (const std::string &var, const std::string &well, ExportRange &output) const
void | add_define (std::size_t report_step, const std::string &udq_key, const UDQSet &result)
void | add_assign (const std::string &udq_key, const UDQSet &result)
bool | define (const std::pair< UDQUpdate, std::size_t > &update_status) const
double | undefined_value () const
bool | operator== (const UDQState &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static UDQState | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/UDQ/UDQState.hpp
- opm/input/eclipse/Schedule/UDQ/UDQState.cpp